Summary: A network protocol analyzer.
Name: ethereal
Version: 0.8.15
Release: 2
Copyright: GPL
Group: Applications/System
Source0: http://ethereal.zing.org/distribution/ethereal-%{version}.tar.gz
Source1: ethereal.desktop
Patch0: ethereal-crypto-link.patch
Patch1: norealtimecb.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://ethereal.zing.org/

%description
Ethereal is a network protocol analyzer based on GTK+.  Ethereal
allows you to examine near real-time data from a network or from a
capture file on disk.  Ethereal is meant to be similar to Network
Associates' NetXRay or the AG Group's EtherPeek network protocol
analyzers.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --with-plugindir=%{_libdir}/ethereal/plugins/0.8.15
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc

make DESTDIR=$RPM_BUILD_ROOT install 

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/
install -m644 $RPM_SOURCE_DIR/ethereal.desktop \
        $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/ethereal.desktop

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README README.linux
%{_bindir}/*
%{_libdir}/ethereal
%config %{_sysconfdir}/manuf
%{_mandir}/*/*
%config %{_sysconfdir}/X11/applnk/Utilities/ethereal.desktop

%changelog
* Thu Feb  1 2001 Tim Powers <timp@redhat.com>
- Patched so that the "show in real time" cb is not shown. It's broken
  and is only confusing people.

* Fri Jan 12 2001 Tim Powers <timp@redhat.com>
- updated to 0.8.15

* Mon Nov 27 2000 Tim Powers <timp@redhat.com>
- due to Matt Wilson's master hackery, it will now build for alpha

* Mon Nov 27 2000 Tim Powers <timp@redhat.com>
- built for Powertools 7.0 errata

* Mon Nov 27 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.14 which fixes some buffer overflows

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- use rpm macros

* Thu Jun 08 2000 Nils Philippsen <nils@redhat.de>
- update to 0.8.9

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- update to 0.8.8
- use applnk
- use %configure
- added the libs to files section
- config file now in the proper location, /etc
- why in the world were we using prefix= for the install? Use DESTDIR

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated to 0.7.7
- quiet setup
- gzip man pages
- strip binaries

* Thu Aug 17 1999 Dale Lovelace <dale@redhat.com>
- added etherel.desktop

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- updated to 0.7.1, fixes some big bugs

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated to 0.6.3
- built for 6.1

* Sun May 02 1999 Michael K. Johnson <johnsonm@redhat.com>
- Built RPM package
